Bug 526001 - f12 beta anaconda can not detect touch pad
Summary: f12 beta anaconda can not detect touch pad
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: ppc
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_mgag400 (G450)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 08:55 UTC by Liam Li
Modified: 2018-04-11 07:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 23:24:20 UTC


Attachments (Terms of Use)
lshal output (68.02 KB, text/plain)
2009-11-17 09:06 UTC, Liam Li
no flags Details
xorg.0.log (20.37 KB, text/plain)
2009-11-17 09:08 UTC, Liam Li
no flags Details
Xorg.9.log (20.76 KB, text/plain)
2009-11-17 09:08 UTC, Liam Li
no flags Details

Description Liam Li 2009-09-28 08:55:09 UTC
Description of problem:
boot to start install on ppc platform,the mouse is touch pad,anaconda can not detect it.but it works on i386 or x86_64. keyboard works. touch pad is Thinkpad Ultra Nav sk8845

Version-Release number of selected component (if applicable):
anaconda 12.30

How reproducible:
100%

Comment 1 Chris Lumens 2009-09-28 13:34:46 UTC
anaconda no longer does anything special to setup the display or input hardware under X.  We just make use of the defaults.

Comment 2 Matěj Cepl 2009-11-05 17:17:16 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Bug Zapper 2009-11-16 13:01:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Matěj Cepl 2009-11-17 00:16:27 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg and lshal commands, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could we get also output of the command

$ cat /proc/bus/input/devices

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 5 Liam Li 2009-11-17 09:03:12 UTC
# cat /etc/X11/xorg.conf
# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
# keyboard added by system-config-display
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105+inet"
	Option	    "XkbLayout" "us"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "mga"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Comment 6 Liam Li 2009-11-17 09:04:12 UTC
# dmesg
Phyp-dump not supported on this hardware
Using pSeries machine description
Page orders: linear mapping = 24, virtual = 12, io = 12, vmemmap = 24
Using 1TB segments
Found initrd at 0xc000000003000000:0xc000000003cf7000
console [udbg0] enabled
Partition configured for 2 cpus.
CPU maps initialized for 2 threads per core
 (thread shift is 1)
Starting Linux PPC64 #1 SMP Sat Nov 7 20:58:24 EST 2009
-----------------------------------------------------
ppc64_pft_size                = 0x1b
physicalMemorySize            = 0x1f0000000
htab_hash_mask                = 0xfffff
-----------------------------------------------------
Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.31.5-127.fc12.ppc64 (mockbuild@ppc9.fedora.phx.redhat.com) (gcc version 4.4.2 20091027 (Red Hat 4.4.2-7) (GCC) ) #1 SMP Sat Nov 7 20:58:24 EST 2009
[boot]0012 Setup Arch
Node 0 Memory: 0x0-0x1f0000000
PCI host bridge /pci@800000020000002  ranges:
  IO 0x000003fe00200000..0x000003fe002fffff -> 0x0000000000000000
 MEM 0x0000040040000000..0x000004007fffffff -> 0x00000000c0000000 
PCI host bridge /pci@800000020000003  ranges:
  IO 0x000003fe00300000..0x000003fe003fffff -> 0x0000000000000000
 MEM 0x0000040080000000..0x00000400bfffffff -> 0x00000000c0000000 
PCI host bridge /pci@800000020000004  ranges:
  IO 0x000003fe00400000..0x000003fe004fffff -> 0x0000000000000000
 MEM 0x00000400c0000000..0x00000400ffffffff -> 0x00000000c0000000 
EEH: PCI Enhanced I/O Error Handling Enabled
PPC64 nvram contains 7168 bytes
Using dedicated idle loop
Zone PFN ranges:
  DMA      0x00000000 -> 0x001f0000
  Normal   0x001f0000 -> 0x001f0000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x001f0000
On node 0 totalpages: 2031616
  DMA zone: 27776 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 2003840 pages, LIFO batch:31
[boot]0015 Setup Done
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 2003840
Policy zone: DMA
Kernel command line: root=/dev/mapper/VolGroup-lv_root ro  LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet 
PID hash table entries: 4096 (order: 12, 32768 bytes)
freeing bootmem node 0
Memory: 7968568k/8126464k available (16148k kernel code, 157896k reserved, 1228k data, 1312k bss, 5500k init)
SLUB: Genslabs=14, HWalign=128, Order=0-3, MinObjects=0, CPUs=2, Nodes=16
Hierarchical RCU implementation.
NR_IRQS:512
[boot]0020 XICS Init
[boot]0021 XICS Done
pic: no ISA interrupt controller
time_init: decrementer frequency = 512.052000 MHz
time_init: processor frequency   = 2096.901000 MHz
clocksource: timebase mult[7cfcc0] shift[22] registered
clockevent: decrementer mult[8315d701] shift[32] cpu[0]
Console: colour dummy device 80x25
console handover: boot [udbg0] -> real [tty0]
irq: irq 655360 on host null mapped to virtual irq 16
irq: irq 655361 on host null mapped to virtual irq 17
allocated 81264640 bytes of page_cgroup
please try 'cgroup_disable=memory' option if you don't want memory cgroups
Security Framework initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys memory
Initializing cgroup subsys devices
Initializing cgroup subsys freezer
Initializing cgroup subsys net_cls
ftrace: allocating 19421 entries in 115 pages
irq: irq 2 on host null mapped to virtual irq 18
clockevent: decrementer mult[8315d701] shift[32] cpu[1]
Processor 1 found.
Brought up 2 CPUs
Node 0 CPUs: 0-1
sizeof(vma)=176 bytes
sizeof(page)=56 bytes
sizeof(inode)=584 bytes
sizeof(dentry)=192 bytes
sizeof(ext3inode)=776 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=240 bytes
sizeof(task_struct)=6848 bytes
CPU0 attaching sched-domain:
 domain 0: span 0-1 level SIBLING
  groups: 0 1
  domain 1: span 0-1 level NODE
   groups: 0-1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level SIBLING
  groups: 1 0
  domain 1: span 0-1 level NODE
   groups: 0-1
regulator: core version 0.5
NET: Registered protocol family 16
IBM eBus Device Driver
POWER5+/++ performance monitor hardware support registered
PCI: Probing PCI hardware
IOMMU table initialized, virtual merging enabled
pci 0000:c0:01.0: PME# supported from D0 D3hot D3cold
pci 0000:c0:01.0: PME# disabled
pci 0000:c0:01.1: PME# supported from D0 D3hot D3cold
pci 0000:c0:01.1: PME# disabled
irq: irq 305 on host null mapped to virtual irq 305
irq: irq 306 on host null mapped to virtual irq 306
pci 0000:c8:01.0: supports D1 D2
pci 0000:c8:01.0: PME# supported from D0 D1 D2 D3hot
pci 0000:c8:01.0: PME# disabled
pci 0000:c8:01.1: supports D1 D2
pci 0000:c8:01.1: PME# supported from D0 D1 D2 D3hot
pci 0000:c8:01.1: PME# disabled
pci 0000:c8:01.2: supports D1 D2
pci 0000:c8:01.2: PME# supported from D0 D1 D2 D3hot
pci 0000:c8:01.2: PME# disabled
irq: irq 307 on host null mapped to virtual irq 307
pci 0000:cc:01.0: supports D1
irq: irq 308 on host null mapped to virtual irq 308
irq: irq 309 on host null mapped to virtual irq 309
pci 0000:d8:01.0: supports D1 D2
pci 0000:d8:01.0: PME# supported from D0 D1 D2 D3hot
pci 0000:d8:01.0: PME# disabled
irq: irq 311 on host null mapped to virtual irq 311
PCI: Probing PCI hardware done
bio: create slab <bio-0> at 0
vgaarb: device added: PCI:0000:d9:00.0,decodes=io+mem,owns=none,locks=none
vgaarb: loaded
SCSI subsystem initialized
libata version 3.00 loaded.
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
Switched to high resolution mode on CPU 0
Switched to high resolution mode on CPU 1
NET: Registered protocol family 2
IP route cache hash table entries: 262144 (order: 9, 2097152 bytes)
TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 524288 bind 65536)
TCP reno registered
NET: Registered protocol family 1
Trying to unpack rootfs image as initramfs...
Freeing initrd memory: 13276k freed
irq: irq 589825 on host null mapped to virtual irq 19
RTAS daemon started
RTAS: event: 43, Type: Platform Information Event, Severity: 2
audit: initializing netlink socket (disabled)
type=2000 audit(1258360407.476:1): initialized
HugeTLB registered 16 MB page size, pre-allocated 0 pages
HugeTLB registered 16 GB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.2
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
msgmni has been set to 15589
SELinux:  Registering netfilter hooks
alg: No test for stdrng (krng)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
pciehp: PCI Express Hot Plug Controller Driver version: 0.4
matroxfb: Matrox G450 detected
PInS data found at offset 31168
PInS memtype = 5
matroxfb: 640x480x8bpp (virtual: 640x26214)
matroxfb: framebuffer at 0x40040000000, mapped to 0xd000080080080000, size 33554432
Console: switching to mono frame buffer device 80x30
fb0: MATROX frame buffer device
matroxfb_crtc2: secondary head of fb0 was registered as fb1
vio_register_driver: driver hvc_console registering
HVSI: registered 2 devices
Linux agpgart interface v0.103
Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
TX39/49 Serial driver version 1.11
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input0
Uniform Multi-Platform E-IDE driver
ide-gd driver 1.18
Fixed MDIO Bus: probed
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ehci_hcd 0000:c8:01.2: EHCI Host Controller
ehci_hcd 0000:c8:01.2: new USB bus registered, assigned bus number 1
ehci_hcd 0000:c8:01.2: irq 307, io mem 0x40070002000
ehci_hcd 0000:c8:01.2: USB 2.0 started, EHCI 1.00
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.31.5-127.fc12.ppc64 ehci_hcd
usb usb1: SerialNumber: 0000:c8:01.2
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 5 ports detected
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
ohci_hcd 0000:c8:01.0: OHCI Host Controller
ohci_hcd 0000:c8:01.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:c8:01.0: irq 307, io mem 0x40070001000
usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: OHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.31.5-127.fc12.ppc64 ohci_hcd
usb usb2: SerialNumber: 0000:c8:01.0
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
ohci_hcd 0000:c8:01.1: OHCI Host Controller
ohci_hcd 0000:c8:01.1: new USB bus registered, assigned bus number 3
ohci_hcd 0000:c8:01.1: irq 307, io mem 0x40070000000
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: OHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.31.5-127.fc12.ppc64 ohci_hcd
usb usb3: SerialNumber: 0000:c8:01.1
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
uhci_hcd: USB Universal Host Controller Interface driver
mice: PS/2 mouse device common for all mice
rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: v2.6:USB HID core driver
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
Running MSI bitmap self-tests ...
PM: Resume from disk failed.
registered taskstats version 1
rtc-generic rtc-generic: setting system clock to 2009-11-16 08:33:29 UTC (1258360409)
Initalizing network drop monitor service
Freeing unused kernel memory: 5500k freed
dracut: dracut-002-13.4.git8f397a9b.fc12
udev: starting version 145
dracut: Starting plymouth daemon
ipr: IBM Power RAID SCSI Device Driver version: 2.4.3 (June 10, 2009)
ipr 0000:d0:01.0: Found IOA with IRQ: 309
ipr 0000:d0:01.0: Starting IOA initialization sequence.
ipr 0000:d0:01.0: Adapter firmware version: 0710000B
ipr 0000:d0:01.0: IOA initialized.
scsi0 : IBM 573E Storage Adapter
scsi 0:1:8:0: Direct-Access     IBM   H0 HUS151473VL3800  S43C PQ: 0 ANSI: 4
pata_pdc2027x 0000:cc:01.0: version 1.0
pata_pdc2027x 0000:cc:01.0: enabling device (0002 -> 0003)
scsi 0:1:15:0: Enclosure         IBM      VSBPD4E2  U4SCSI 6624 PQ: 0 ANSI: 2
sd 0:1:8:0: Attached scsi generic sg0 type 0
scsi 0:1:15:0: Attached scsi generic sg1 type 13
pata_pdc2027x 0000:cc:01.0: PLL input clock 32769 kHz
sd 0:1:8:0: [sda] 143374000 512-byte logical blocks: (73.4 GB/68.3 GiB)
sd 0:1:8:0: [sda] Write Protect is off
sd 0:1:8:0: [sda] Mode Sense: cb 00 10 08
sd 0:1:8:0: [sda] Write cache: disabled, read cache: enabled, supports DPO and FUA
 sda: sda1 sda2 sda3
sd 0:1:8:0: [sda] Attached SCSI disk
scsi: unknown device type 31
scsi 0:255:255:255: No Device         IBM      573E001          0150 PQ: 0 ANSI: 0
scsi 0:255:255:255: Attached scsi generic sg2 type 31
scsi1 : pata_pdc2027x
scsi2 : pata_pdc2027x
ata1: PATA max UDMA/133 mmio m16384@0x40068000000 cmd 0x400680017c0 irq 308
ata2: PATA max UDMA/133 mmio m16384@0x40068000000 cmd 0x400680015c0 irq 308
usb 2-2: new low speed USB device using ohci_hcd and address 2
ata1.00: ATAPI: IBM     DROM0020521, P833, max UDMA/66
ata1.00: configured for UDMA/66
scsi 1:0:0:0: CD-ROM            IBM      DROM0020521      P833 PQ: 0 ANSI: 2
sr0: scsi3-mmc drive: 24x/24x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
sr 1:0:0:0: Attached scsi generic sg3 type 5
usb 2-2: New USB device found, idVendor=04b3, idProduct=310c
usb 2-2: New USB device strings: Mfr=0, Product=2, SerialNumber=0
usb 2-2: Product: USB Optical Mouse
usb 2-2: configuration #1 chosen from 1 choice
input: USB Optical Mouse as /devices/pci0000:00/0000:00:02.2/0000:c8:01.0/usb2/2-2/2-2:1.0/input/input1
generic-usb 0003:04B3:310C.0001: input,hidraw0: USB HID v1.11 Mouse [USB Optical Mouse] on usb-0000:c8:01.0-2/input0
usb 3-1: new low speed USB device using ohci_hcd and address 2
dracut: Scanning devices sda3  for LVM volume groups 
dracut: Reading all physical volumes. This may take a while...
dracut: Found volume group "VolGroup" using metadata type lvm2
dracut: 2 logical volume(s) in volume group "VolGroup" now active
usb 3-1: New USB device found, idVendor=0624, idProduct=0296
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-1: Product: IBM 73P5832
usb 3-1: Manufacturer: Avocent
usb 3-1: configuration #1 chosen from 1 choice
input: Avocent IBM 73P5832 as /devices/pci0000:00/0000:00:02.2/0000:c8:01.1/usb3/3-1/3-1:1.0/input/input2
generic-usb 0003:0624:0296.0002: input,hidraw1: USB HID v1.10 Keyboard [Avocent IBM 73P5832] on usb-0000:c8:01.1-1/input0
input: Avocent IBM 73P5832 as /devices/pci0000:00/0000:00:02.2/0000:c8:01.1/usb3/3-1/3-1:1.1/input/input3
generic-usb 0003:0624:0296.0003: input,hidraw2: USB HID v1.10 Mouse [Avocent IBM 73P5832] on usb-0000:c8:01.1-1/input1
EXT4-fs (dm-0): barriers enabled
kjournald2 starting: pid 283, dev dm-0:8, commit interval 5 seconds
EXT4-fs (dm-0): delayed allocation enabled
EXT4-fs: file extents enabled
EXT4-fs: mballoc enabled
EXT4-fs (dm-0): mounted filesystem with ordered data mode
dracut: Mounted root filesystem /dev/mapper/VolGroup-lv_root
dracut: Loading SELinux policy
type=1404 audit(1258360411.000:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
SELinux: 8192 avtab hash slots, 144734 rules.
SELinux: 8192 avtab hash slots, 144734 rules.
SELinux:  8 users, 12 roles, 2941 types, 136 bools, 1 sens, 1024 cats
SELinux:  75 classes, 144734 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext4), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses transition SIDs
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
type=1403 audit(1258360411.236:3): policy loaded auid=4294967295 ses=4294967295
dracut: Switching root
udev: starting version 145
Intel(R) PRO/1000 Network Driver - version 7.3.21-k3-NAPI
Copyright (c) 1999-2006 Intel Corporation.
e1000 0000:c0:01.0: enabling device (0000 -> 0002)
e1000: 0000:c0:01.0: e1000_probe: (PCI-X:133MHz:64-bit) 00:11:25:c5:cc:9e
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
scsi 0:1:15:0: Resetting device
scsi 0:1:15:0: Resetting device
scsi 0:1:15:0: Resetting device
scsi 0:1:15:0: Resetting device
e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
e1000 0000:c0:01.1: enabling device (0000 -> 0002)
ses 0:1:15:0: Attached Enclosure device
e1000: 0000:c0:01.1: e1000_probe: (PCI-X:133MHz:64-bit) 00:11:25:c5:cc:9f
e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
device-mapper: multipath: version 1.1.0 loaded
EXT4-fs (dm-0): internal journal on dm-0:8
EXT4-fs (sda2): barriers enabled
kjournald2 starting: pid 629, dev sda2:8, commit interval 5 seconds
EXT4-fs (sda2): internal journal on sda2:8
EXT4-fs (sda2): delayed allocation enabled
EXT4-fs: file extents enabled
EXT4-fs: mballoc enabled
EXT4-fs (sda2): mounted filesystem with ordered data mode
SELinux: initialized (dev sda2, type ext4), uses xattr
Adding 10092536k swap on /dev/mapper/VolGroup-lv_swap.  Priority:-1 extents:1 across:10092536k 
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ip6_tables: (C) 2000-2006 Netfilter Core Team
e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
ADDRCONF(NETDEV_UP): eth0: link is not ready
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
ADDRCONF(NETDEV_UP): eth1: link is not ready
RPC: Registered udp transport module.
RPC: Registered tcp transport module.
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Process Xorg (pid:1242) mapped non-existing PCI legacy memory for 00000:d9
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized mga 3.2.1 20051102 for 0000:d9:00.0 on minor 0
[drm] Initialized card for PCI DMA.
platform mga_warp.0: firmware: requesting matrox/g400_warp.fw
eth0: no IPv6 routers present
Process Xorg (pid:1345) mapped non-existing PCI legacy memory for 00000:d9
[drm] Initialized card for PCI DMA.
platform mga_warp.0: firmware: requesting matrox/g400_warp.fw
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
CPU0 attaching sched-domain:
 domain 0: span 0-1 level SIBLING
  groups: 0 1
  domain 1: span 0-1 level NODE
   groups: 0-1
CPU1 attaching sched-domain:
 domain 0: span 0-1 level SIBLING
  groups: 1 0
  domain 1: span 0-1 level NODE
   groups: 0-1
type=1305 audit(1258360469.574:39383): auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 op="remove rule" key=(null) list=4 res=1
type=1305 audit(1258360469.574:39384): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 res=1
fuse init (API version 7.12)
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts

Comment 7 Liam Li 2009-11-17 09:06:55 UTC
Created attachment 369846 [details]
lshal output

Comment 8 Liam Li 2009-11-17 09:08:11 UTC
Created attachment 369847 [details]
xorg.0.log

Comment 9 Liam Li 2009-11-17 09:08:43 UTC
Created attachment 369848 [details]
Xorg.9.log

Comment 10 Liam Li 2009-11-17 09:09:58 UTC
# cat /proc/bus/input/devices
I: Bus=0017 Vendor=0001 Product=0001 Version=0100
N: Name="Macintosh mouse button emulation"
P: Phys=
S: Sysfs=/devices/virtual/input/input0
U: Uniq=
H: Handlers=mouse0 event0 
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

I: Bus=0003 Vendor=04b3 Product=310c Version=0111
N: Name="USB Optical Mouse"
P: Phys=usb-0000:c8:01.0-2/input0
S: Sysfs=/devices/pci0000:00/0000:00:02.2/0000:c8:01.0/usb2/2-2/2-2:1.0/input/input1
U: Uniq=
H: Handlers=mouse1 event1 
B: EV=17
B: KEY=70000 0 0 0 0
B: REL=103
B: MSC=10

I: Bus=0003 Vendor=0624 Product=0296 Version=0110
N: Name="Avocent IBM 73P5832"
P: Phys=usb-0000:c8:01.1-1/input0
S: Sysfs=/devices/pci0000:00/0000:00:02.2/0000:c8:01.1/usb3/3-1/3-1:1.0/input/input2
U: Uniq=
H: Handlers=kbd event2 
B: EV=120013
B: KEY=1000000000007 ff800000000007ff f2beffdf73cfffff fffffffffffffffe
B: MSC=10
B: LED=1f

I: Bus=0003 Vendor=0624 Product=0296 Version=0110
N: Name="Avocent IBM 73P5832"
P: Phys=usb-0000:c8:01.1-1/input1
S: Sysfs=/devices/pci0000:00/0000:00:02.2/0000:c8:01.1/usb3/3-1/3-1:1.1/input/input3
U: Uniq=
H: Handlers=kbd mouse2 event3 
B: EV=1f
B: KEY=837fff002c3027 bf00444400000000 1f0001 c040a27c000 267bfad941dfed 9e000000000000 0
B: REL=143
B: ABS=100000000
B: MSC=10

Comment 11 Matěj Cepl 2009-11-17 12:56:31 UTC
*** Bug 522091 has been marked as a duplicate of this bug. ***

Comment 12 Tony Nelson 2009-11-17 15:30:10 UTC
(In reply to comment #11)
> *** Bug 522091 has been marked as a duplicate of this bug. ***  

Umm, no.  This bug isn't "Bug 522091 -  Test_Day:2009-09-09_Radeon QA:Testcase radeon fastuserswitch dim on switchback, hang", and my machine does not have a touchpad.

Comment 13 Peter Hutterer 2010-01-13 06:54:48 UTC
judging by the proc output, this device is a tad weird. it doesn't seem to have any buttons (well, unless my proc script just gave up). can you please run evtest against the device (here /dev/input/event3 but that may have changed since) and attach the output here?

Comment 14 Matěj Cepl 2010-02-26 12:26:05 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 15 Matěj Cepl 2010-05-10 23:24:20 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.